# Do not fix DOS-like EOL in game data, it breaks the game
# https://github.com/the3dfxdude/7kaa/issues/45
%define dont_fix_eol 1

Name:           7kaa
Version:        2.15.4p1
Release:        %mkrel 1
Summary:        Seven Kingdoms: Ancient Adversaries is a real-time strategy game
Group:          Games/Strategy
License:        GPLv2
URL:            http://7kfans.com/
Source0:        https://github.com/the3dfxdude/7kaa/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        %{name}.png
Source2:        %{name}.xpm

BuildRequires:  gettext
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(openal)
Requires:       %{name}-data >= %{version}

%description
Seven Kingdoms made departures from the traditional real-time strategy models
of "gather resources, build a base and army, and attack". The economic model
bears more resemblance to a turn-based strategy game. It features an espionage
system that allows players to train and control spies individually, who each
have a spying skill that increases over time. The player is also responsible
for catching spies in their own kingdom. Inns built within the game allow
players to hire mercenaries of various occupations, skill levels, and races.
Skilled spies of enemy races are essential to a well-conducted espionage
program, and the player can bolster his forces by grabbing a skilled fighter
or give ones own factories, mines, and towers of science, a boost by hiring a
skilled professional.

Enlight Software decided to release the game to the Open Source community
in August 2009. At that time everything, but the music, was released under
the GPL v2.

%package data
Summary:        Data files for Seven Kingdoms: Ancient Adversaries
BuildArch:      noarch
Recommends:     %{name}-music
Conflicts:      %{name} < 2.14.6

%description data
This package contains arch-independent data files for the Seven Kingdoms:
Ancient Adversaries game.

The music is not licensed under the GPLv2, and is therefore provided by
another %{name}-music package in the Nonfree repo.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

# menu-entry
mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Seven Kingdoms
Comment=Seven Kingdoms: Ancient Adversaries
Type=Application
Exec=%{name}
Icon=%{name}
Categories=Game;StrategyGame;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_gamesbindir}/%{name}

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Thu Oct 22 2020 daviddavid <daviddavid> 2.15.4p1-1.mga8
+ Revision: 1638294
- new version: 2.15.4p1

* Sat Jul 11 2020 daviddavid <daviddavid> 2.15.4-1.mga8
+ Revision: 1604815
- new version: 2.15.4

* Thu Feb 20 2020 umeabot <umeabot> 2.15.3-2.mga8
+ Revision: 1546519
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 2.15.3-1.mga8
+ Revision: 1486698
- new version: 2.15.3
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 05 2019 akien <akien> 2.15.2-1.mga8
+ Revision: 1427443
- Version 2.15.2

* Tue Jan 01 2019 akien <akien> 2.15.1-1.mga7
+ Revision: 1348057
- Version 2.15.1

* Fri Oct 19 2018 akien <akien> 2.15.0-1.mga7
+ Revision: 1322326
- Version 2.15.0

* Sun Sep 23 2018 umeabot <umeabot> 2.14.7-6.mga7
+ Revision: 1297261
- Mageia 7 Mass Rebuild

* Mon Jun 05 2017 akien <akien> 2.14.7-5.mga6
+ Revision: 1107022
- Use -fsigned-char instead of patching the source

* Mon Jun 05 2017 akien <akien> 2.14.7-4.mga6
+ Revision: 1106869
- More narrowing fixes for arm

* Mon Jun 05 2017 akien <akien> 2.14.7-3.mga6
+ Revision: 1106862
- Enhance previous patch

* Mon Jun 05 2017 akien <akien> 2.14.7-2.mga6
+ Revision: 1106858
- Fix narrowing conversion issue on arm

* Mon Jun 05 2017 akien <akien> 2.14.7-1.mga6
+ Revision: 1106853
- Version 2.14.7

* Sat Jan 28 2017 akien <akien> 2.14.6-3.mga6
+ Revision: 1083791
- Rebuild for buildsystem issue

* Tue Nov 08 2016 neoclust <neoclust> 2.14.6-2.mga6
+ Revision: 1065835
- Add conflicts to ease upgrade from mga5

* Mon Sep 05 2016 akien <akien> 2.14.6-1.mga6
+ Revision: 1050101
- Version 2.14.6

* Sat Feb 13 2016 umeabot <umeabot> 2.14.5-2.mga6
+ Revision: 959475
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 akien <akien> 2.14.5-1.mga6
+ Revision: 842438
- Package data in a noarch subpackage
- Disable spec-helper script that fixes DOS-like EOL, it breaks the game
- Version 2.14.5

* Wed Oct 15 2014 umeabot <umeabot> 2.14.4-3.mga5
+ Revision: 741071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.14.4-2.mga5
+ Revision: 677637
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu May 01 2014 akien <akien> 2.14.4-1.mga5
+ Revision: 619101
- Update to 2.14.4 (now includes the data)
- importing source package from OpenMandriva


* Fri Mar 23 2012 Andrey Bondrov <abondrov@mandriva.org> 2.14.3-1mdv2011.0
+ Revision: 786258
- imported package 7kaa

